import axios from "@/libs/axios";
import { stringify } from "qs";
const proxy = process.env.NODE_ENV == 'development' ? "/apis" : "https://smp.sskuaixiu.com/api/order/pub-open/";
if(process.env.NODE_ENV == 'development') {
    console.log("dev: " + proxy);
} else {
    console.log("env: " + proxy);
}
// 上传文件
export const uploadFile = params => axios.post(`${proxy}/file/upload`, params, { "Content-Type": "multipart/form-data" });
// 上传文件
export const detectVehicleLicense = data => axios.post(`${proxy}/file/vehicle/license/detect`, data);
// 登录
export const login = data => axios.post(`${proxy}/account/login`, data);

// 企业列表
export const listCompany = data => axios.post(`${proxy}/company/list`, data);
// 企业信息
export const myCompany = data => axios.post(`${proxy}/company/mine`, data);
// 创建企业
export const createCompany = data => axios.post(`${proxy}/company/create`, data);
// 企业状态
export const updateCompanyStatus = data => axios.post(`${proxy}/company/update/status`, data);
// 企业有效期
export const updateCompanyExpired = data => axios.post(`${proxy}/company/update/expired`, data);
// 修改企业信息
export const updateCompany = data => axios.post(`${proxy}/company/update`, data);

// 帐号列表
export const listAccount = data => axios.post(`${proxy}/account/list/${data}`);
// 帐号列表
export const listAccountMine = data => axios.post(`${proxy}/account/list/mine`);
// 创建帐号
export const createAccount = data => axios.post(`${proxy}/account/create`, data);
// 修改帐号密码
export const updatePassword = data => axios.post(`${proxy}/account/update/password`, data);
// 修改帐号状态
export const updateAccountStatus = data => axios.post(`${proxy}/account/update/status`, data);

// 车源列表
export const listSource = data => axios.post(`${proxy}/data/sources`, data);
// 添加车源信息
export const createSource = data => axios.post(`${proxy}/data/source/create`, data);
// 修改车源停牌
export const updateSource = data => axios.post(`${proxy}/data/source/update`, data);
// 修改车源状态
export const updateSourceStatus = data => axios.post(`${proxy}/data/source/update/status`, data);

// 数据 / 型号列表
export const listModel = data => axios.post(`${proxy}/data/models`, data);
// 数据 / 品牌列表
export const listBrand = data => axios.post(`${proxy}/data/brands`, data);
// 数据 / 颜色
export const listColor = data => axios.post(`${proxy}/data/colors`, data);
// 数据 / 环保标准
export const listEnvironmentalStandard = data => axios.post(`${proxy}/data/environmentalStandards`, data);
// 数据 / 动力类型
export const listEngineType = data => axios.post(`${proxy}/data/engineTypes`, data);
// 数据 / 车辆类型
export const listVehicleType = data => axios.post(`${proxy}/data/vehicleTypes`, data);
// 数据 / 使用性质
export const listUseCharacters = data => axios.post(`${proxy}/data/useCharacters`, data);
// 数据 / 创建
export const createData = data => axios.post(`${proxy}/data/create`, data);

// 车辆 / 列表
export const listVehicle = data => axios.post(`${proxy}/vehicle/list`, data);
export const listNoSourceContractVehicles = data => axios.post(`${proxy}/vehicle/no/source/contract/vehicles`, data);
// 车辆 / 创建
export const createVehicle = data => axios.post(`${proxy}/vehicle/create`, data);
// 车辆 / 修改
export const updateVehicle = data => axios.post(`${proxy}/vehicle/update`, data);

// 合同 / 合同 列表
export const listContract = data => axios.post(`${proxy}/contract/list`, data);
// 合同 / 日志 列表
export const listLogs = data => axios.post(`${proxy}/contract/logs/${data}`);
// 合同 / 车源合同 签订
export const signContract = data => axios.post(`${proxy}/contract/sign`, data);
// 合同 / 车源合同 修改
export const updateContract = data => axios.post(`${proxy}/contract/update`, data);
// 合同 / 车源合同 中止
export const terminateContract = data => axios.post(`${proxy}/contract/terminate`, data);
// 合同 / 车源合同 返还押金
export const returnDeposit = data => axios.post(`${proxy}/contract/return/deposit`, data);